DocumentaciónReferencia APIEnviar mensaje libre
    POSTDisponible

    Enviar mensaje libre

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/whatsapp/send-freeform

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.
    sender_id*bodyintegerCampo documentado sender_id.
    recipient_phone*bodystringCampo documentado recipient_phone.
    message*bodystringCampo documentado message.

    * Obligatorio

    Ejemplo de solicitud

    curl -X POST "https://app.beepcall.ai/api/user/whatsapp/send-freeform" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "sender_id": 12,
      "recipient_phone": "+1234567890",
      "message": "Thank you for your inquiry! Our team will review your request and get back to you within 2 hours."
    }'

    Respuesta

    json
    {
      "success": true,
      "conversation_id": 1234,
      "message_id": 567,
      "whatsapp_message_id": 890,
      "message_sid": "SMxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
      "session_status": {
        "is_open": true,
        "can_send_freeform": true,
        "requires_template": false,
        "message": "Session open (23 hr 45 min remaining). Unlimited free-form messages allowed.",
        "minutes_remaining": 1425,
        "expires_at": "2026-02-25T10:30:00+00:00"
      }
    }

    Errores habituales

    402403404422503